List custom templates

gethttps://api.expiryedge.com/v1/templates
any role (admin, editor or viewer)60/min
Request
curl 'https://api.expiryedge.com/v1/templates?organizationId=org_northwind' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY"
Response
{
  "templates": [
    {
      "id": "tpl_Lic42a",
      "name": "Professional License",
      "description": "Fields tracked for every state professional license.",
      "icon": "DocumentText",
      "color": "#3b82f6",
      "fields": [
        {
          "name": "license_number",
          "label": "License Number",
          "type": "text",
          "required": true
        },
        {
          "name": "ce_hours",
          "label": "CE Hours",
          "type": "number",
          "required": false,
          "options": {
            "min": 0
          }
        },
        {
          "name": "board",
          "label": "Board",
          "type": "select",
          "required": false,
          "options": {
            "options": [
              "Dental",
              "Medical",
              "Nursing"
            ]
          }
        }
      ],
      "created_by": "u_71bXq",
      "usage_count": 3,
      "archived": false,
      "created_at": "2026-09-27T14:05:00.000Z",
      "updated_at": "2026-09-27T14:05:00.000Z"
    }
  ]
}

Returns all of the organization's custom expiry templates. Unbounded.

Query parameters

  • organizationIdstring
    Optional legacy parameter. If sent it must equal your organization id (403 otherwise); userId is ignored.

Returns

200
Templates, newest first (including archived ones; filter on archived).
  • templatesarray of objects

Errors

401
Missing, expired or invalid bearer token.
403
Authenticated, but your role or organization does not allow this action.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
Unexpected server error. Retry later; quote requestId to support.